Skip to main content
`Ctrl`+`K`

# scipy.special.inv_boxcox

scipy.special.inv_boxcox(y, lmbda, out=None) = <ufunc 'inv_boxcox'>

  Compute the inverse of the Box-Cox transformation.

  Find `x` such that:

      y = (x**lmbda - 1) / lmbda  if lmbda != 0
          log(x)                  if lmbda == 0

  Parameters:
    y array_like

      Data to be transformed.

    lmbda array_like

      Power parameter of the Box-Cox transform.

    out ndarray, optional

      Optional output array for the function values

  Returns:
    x scalar or ndarray

      Transformed data.

  Notes

  Added in version 0.16.0.

  Examples

      >>> from scipy.special import boxcox, inv_boxcox
      >>> y = boxcox([1, 4, 10], 2.5)
      >>> inv_boxcox(y, 2.5)
      array([1., 4., 10.])